Bug 183939 - [PATCH] security/broccoli: update to 2.2 and add stage support
Summary: [PATCH] security/broccoli: update to 2.2 and add stage support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Ports Bugs (Mailing List)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-13 23:50 UTC by leres
Modified: 2013-11-22 15:10 UTC (History)
1 user (show)

See Also:


Attachments
patch-broccoli.txt (2.65 KB, patch)
2013-11-13 23:50 UTC, leres
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2013-11-13 23:50:00 UTC
	This updates broccoli from 2.1 to 2.2. Other changes include:

	    - Add stage support
	    - Update MASTER_SITES
	    - Add LICENSE

	This PR should processed at the same time the security/bro
	PR I am submitting; I will follow up with that PR number
	once one is assigned.

Fix: Remove/delete all current patch files:

	    files/patch-aux-broccoli-CMakeLists.txt

	And then apply the attached patch set.
Comment 1 leres 2013-11-14 21:41:57 UTC
Here's the security/bro PR:

    http://www.freebsd.org/cgi/query-pr.cgi?pr=183940

		Craig
Comment 2 dfilter freebsd_committer 2013-11-22 15:02:12 UTC
Author: jadawin
Date: Fri Nov 22 15:02:05 2013
New Revision: 334596
URL: http://svnweb.freebsd.org/changeset/ports/334596

Log:
  - Update to 2.2
  - Update MASTER_SITES
  - Add LICENSE
  - Support STAGE
  
  PR:		ports/183939
  Submitted by:	maintainer

Deleted:
  head/security/broccoli/files/
Modified:
  head/security/broccoli/Makefile
  head/security/broccoli/distinfo   (contents, props changed)
  head/security/broccoli/pkg-plist   (contents, props changed)

Modified: head/security/broccoli/Makefile
==============================================================================
--- head/security/broccoli/Makefile	Fri Nov 22 14:53:39 2013	(r334595)
+++ head/security/broccoli/Makefile	Fri Nov 22 15:02:05 2013	(r334596)
@@ -2,14 +2,16 @@
 # $FreeBSD$
 
 PORTNAME=	broccoli
-PORTVERSION=	2.1
+PORTVERSION=	2.2
 CATEGORIES=	security
-MASTER_SITES=	http://www.bro-ids.org/downloads/release/
+MASTER_SITES=	http://www.bro.org/downloads/release/
 DISTNAME=	bro-${PORTVERSION}
 
 MAINTAINER=	leres@ee.lbl.gov
 COMMENT=	The Bro Client Communications Library
 
+LICENSE=	BSD
+
 BUILD_DEPENDS=	bison:${PORTSDIR}/devel/bison \
 		swig:${PORTSDIR}/devel/swig13
 LIB_DEPENDS=	GeoIP:${PORTSDIR}/net/GeoIP
@@ -24,10 +26,12 @@ CMAKE_SOURCE_PATH=	${WRKSRC}/aux/broccol
 .if defined(BRO_PREFIX)
 PREFIX=${BRO_PREFIX}
 PLIST_SUB+=	CLEANUP_PREFIX=""
+NEED_ROOT=	yes
 .else
 PLIST_SUB+=	CLEANUP_PREFIX="@comment "
 .endif
 CMAKE_ARGS+=	-D CMAKE_INSTALL_PREFIX:PATH=${PREFIX} \
+		-D BRO_ETC_INSTALL_DIR:PATH=${PREFIX}/etc \
 		-D PY_MOD_INSTALL_DIR:PATH=${PREFIX}
 
 OPTIONS_DEFINE=	DEBUG PYTHON RUBY
@@ -36,7 +40,6 @@ DEBUG_DESC=	Compile in debugging mode
 PYTHON_DESC=	Build python bindings for broccoli
 RUBY_DESC=	Build ruby bindings for broccoli
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MDEBUG}
@@ -59,10 +62,11 @@ CMAKE_ARGS+=		-D DISABLE_RUBY_BINDINGS:B
 PLIST_SUB+=		RUBY="@comment "
 .endif
 
-post-install:
-	@${MKDIR} ${PREFIX}/etc
-	@${INSTALL_SCRIPT} ${WRKSRC}/aux/broccoli/broccoli.conf ${PREFIX}/etc/broccoli.conf.sample
-	@[ -f ${PREFIX}/etc/broccoli.conf ] || \
-	    ${CP} -p ${PREFIX}/etc/broccoli.conf.sample ${PREFIX}/etc/broccoli.conf
+post-stage::
+.if defined(BRO_PREFIX)
+	@${MKDIR} ${PREFIX}
+.endif
+	@${MKDIR} ${STAGEDIR}${PREFIX}/etc
+	@${INSTALL_SCRIPT} ${WRKSRC}/aux/broccoli/broccoli.conf ${STAGEDIR}${PREFIX}/etc/broccoli.conf.example
 
 .include <bsd.port.mk>

Modified: head/security/broccoli/distinfo
==============================================================================
--- head/security/broccoli/distinfo	Fri Nov 22 14:53:39 2013	(r334595)
+++ head/security/broccoli/distinfo	Fri Nov 22 15:02:05 2013	(r334596)
@@ -1,2 +1,2 @@
-SHA256 (bro-2.1.tar.gz) = 0d83b7c78d6e247d44b0407649df7fefa6da5c73a572a16c0096c9b7f2a955e0
-SIZE (bro-2.1.tar.gz) = 5627966
+SHA256 (bro-2.2.tar.gz) = 86909361c2d804681f314604a6ce763be663937b2f045c8d25d810528a633dc9
+SIZE (bro-2.2.tar.gz) = 9646602

Modified: head/security/broccoli/pkg-plist
==============================================================================
--- head/security/broccoli/pkg-plist	Fri Nov 22 14:53:39 2013	(r334595)
+++ head/security/broccoli/pkg-plist	Fri Nov 22 15:02:05 2013	(r334596)
@@ -1,8 +1,7 @@
 bin/broccoli-config
-@exec mkdir -p %B
-@unexec cmp -s %D/etc/broccoli.conf.sample %D/etc/broccoli.conf && rm %D/etc/broccoli.conf || true
-etc/broccoli.conf.sample
-@exec test -f %B/broccoli.conf || cp -p %D/%F %B/broccoli.conf
+@unexec cmp -s %D/etc/broccoli.conf.example %D/etc/broccoli.conf && rm %D/etc/broccoli.conf || true
+etc/broccoli.conf.example
+@exec test -f %D/etc/broccoli.conf || cp -p %D/%F %D/etc/broccoli.conf
 include/broccoli.h
 lib/libbroccoli.a
 lib/libbroccoli.so
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Philippe Audeoud freebsd_committer 2013-11-22 15:03:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!